using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Windows;
using System.Xml.Serialization;

namespace USPopulation.ViewModel
{
	public class XmlNodeItem
	{
		public XmlNodeItem()
		{
			this.Items = new ObservableCollection<XmlNodeItem>();
		}
		[XmlAttribute(AttributeName = "Header")]
		public string Header
		{
			get;
			set;
		}
		[XmlAttribute(AttributeName = "Value")]
		public string Value
		{
			get;
			set;
		}
		[XmlAttribute(AttributeName = "Link")]
		public string Link
		{
			get;
			set;
		}
		public ObservableCollection<XmlNodeItem> Items
		{
			get;
			set;
		}
	}
}